Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 106534 - Random Lockup with SMP kernel on Single Hyperthreaded Pentium
Random Lockup with SMP kernel on Single Hyperthreaded Pentium
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-08 00:10 EDT by Kurt
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-20 14:15:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt 2003-10-08 00:10:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a) Gecko/20030926
Firebird/0.7+

Description of problem:
I get a random system lockup after about a hours use when using the SMP kernel
(kernel-smp-2.4.22-1.2061.nptl) and not the non-SMP kernel
(kernel-2.4.22-1.2061.nptl) on my single (but hyperthreaded) CPU computer.


Version-Release number of selected component (if applicable):
kernel-smp-2.4.22-1.2061.nptl

How reproducible:
Always

Steps to Reproduce:
1. boot computer and select SMP kernel.
2. use the computer a about an hour.



Actual Results:  the computer gets locked up.

Expected Results:  the computer works normally.

Additional info:

$ cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 2.40GHz
stepping        : 9
cpu MHz         : 2405.478
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid
bogomips        : 4797.23
Comment 1 Bill Nottingham 2003-10-08 18:24:59 EDT
Please upgrade to the rawhide kernel.
Comment 2 Dave Jones 2003-11-18 11:44:49 EST
Is this still a problem with the final FC1 kernel ?
Comment 3 Kurt 2003-11-18 12:17:44 EST
The FC1 kernel fixed the problem (vmlinuz-2.4.22-1.2105.nptlsmp).
                                                                     
                         
However, system shutdowns occansionally hang just after disk halting,
with or without "apm=power-off" option in grub.conf. I guess a new bug
entry is in order for this.
Comment 4 Dave Jones 2003-11-20 14:15:06 EST
Yeah, please open up a new one. (Better yet, do a search first, this
sounds familiar, there may already be an open bug for this).



Note You need to log in before you can comment on or make changes to this bug.